Bug 11879 - неправильный владелец пользователя в чруте
: неправильный владелец пользователя в чруте
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/openldap-servers)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-05-24 18:48 by
Modified: 2008-03-20 19:00 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-05-24 18:48:27
Если изменить значение directory из /etc/openldap/slapd-hdb-db01.conf на
другое,
а затем сделать service slapd restart, то создается база с владельцем root.

Причина, как выяснилось, следующая:

/etc/chroot.d/ldap.all создает дир правильно
/usr/sbin/slaptest создает базу от текущего пользователя, которым в момент
работы скрипта является root
------- Comment #1 From 2007-08-07 12:44:04 -------
To package maintainer.
------- Comment #2 From 2007-10-15 02:28:39 -------
fixed in 2.3.37-alt1
------- Comment #3 From 2007-10-15 04:17:27 -------
проверено и исправлено более другим способом в 2.3.38-alt1
------- Comment #4 From 2008-03-20 19:00:58 -------
*** Bug 15012 has been marked as a duplicate of this bug. ***